@import url("https://fonts.cdnfonts.com/css/ica-rubrik-black");
@import url("https://fonts.cdnfonts.com/css/poppins");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "poppins";
  scrollbar-width: none;
}

body {
  /* overflow-x: hidden; */
  background-color: #EEEEEE;
}

*::-webkit-scrollbar {
  display: none;
}

nav {
  width: 100vw;
  height: 4rem;
  position: sticky;
  top: 0;
  padding: 0 2rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: white;
  box-shadow: 0 0.1px 5px 1px gray;
  z-index: 10;
}

#brand-image {
  height: 2.5rem;
  font-size: 1rem;
}

a {
  text-decoration: none;
  color: black;
  font-weight: 530;
}

.search-box {
  display: flex;
  align-items: center;
  width: 250px;
  height: 2.1rem;
  border: 1.4px solid #f15a24;
  border-radius: 4px;
  overflow: hidden;
}

.search-box input {
  border: none;
  outline: none;
  padding: 8px 10px;
  flex: 1;
  font-size: 14px;
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  appearance: none;
  display: none;
}

.search-box button {
  background: #f15a24;
  border: none;
  padding: 8px 12px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.search-box button i {
  color: white;
  font-size: 16px;
}

.option {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 60%;
}

.option2 {
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
  padding: 0 1rem;
  margin-top: -7.3rem;
  transition: 0.2s ease-in;
  z-index: 3;
  box-shadow: 0 4px 5px -3px gray;
}

.brand {
  display: flex;
  align-items: center;
}

#group-1 {
  display: flex;
  width: 60%;
  align-items: center;
  justify-content: space-between;
}

.cart {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 25%;
}

#tog-lab,
#tog {
  display: none;
}

#tog:checked ~ .option2 {
  margin: 0;
  margin-top: 0.5rem;
}

#tog:checked ~ .main .content {
  bottom: -4rem;
}

#tog:checked ~ nav {
  box-shadow: none;
}

footer {
  width: 100vw;
  height: 4rem;
  background-color: #172337;
  display: flex;
  padding: 0 2rem;
  justify-content: space-between;
  align-items: center;
  bottom: 0;
}

footer div {
  display: flex;
  width: 20rem;
  align-items: center;
}

.f-option {
  justify-content: space-between;
}

.f-option a{
  color: white;
}

.f-icon {
  justify-content: space-evenly;
  font-size: 1.5rem;
  color: white;
}

.f-search {
  justify-content: flex-end;
  /* background-color: red; */
}

#bor-black {
  border: 1px solid black;
}

.banner {
    width: 100vw;
    padding: 0 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
}

.ban-img{
    width: 100%;
    height: 31rem;
}

.products {
  /* margin: 1rem 2rem; */
  padding: 1rem 2rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  /* grid-template-rows: repeat(4, 1fr); */
  justify-content: center;
  gap: 1rem;
}

.cam-card {
  background-color: white;
  padding: 0.5rem;
  height: auto;
  /* width: 9rem; */
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: 0.3s ease-in;
}

.cam-card:hover {
  box-shadow: 2px 2px 10px 3px gray;
  transform: scale(1.03);
}

.cam-pic {
  height: 8rem;
}

.discription {
  /* background-color: rgb(50, 48, 48); */
  width: 100%;
}

.discription p {
  font-size: 0.8rem;
}





@media (max-width: 426px) {
  #tog-lab {
    display: block;
  }

  #group-1 {
    flex-direction: column;
    width: 10rem;
    align-items: flex-start;
    row-gap: 1rem;
  }

  .brand {
    column-gap: 0.5rem;
  }
  nav {
    align-items: flex-start;
    padding: 0.5rem 1rem;
    box-shadow: none;
  }

  .option {
    display: none;
  }

  .search-box {
    margin-top: 0.5rem;
    width: 18rem;
    /* background-color: red; */
  }

  .cart {
    display: flex;
    width: 50%;
    column-gap: 0.5rem;
    align-items: center;
    justify-content: center;
  }

  .search-box input {
    border: none;
    outline: none;
    padding: 8px 10px;
    width: 8rem;
    font-size: 14px;
  }

  footer {
    flex-direction: column;
    height: 8rem;
    justify-content: space-around;
    align-items: center;
  }

  footer div {
    justify-content: center;
    align-items: center; 
  }

  .f-search {
  justify-content: center;
  align-items: center;
  }

  #down {
    margin-top: 0.5rem;
  }
}